Bug 1575326 - no keyboard input in gdm
Summary: no keyboard input in gdm
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 28
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-06 00:42 UTC by Sketch
Modified: 2019-05-28 20:20 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:20:54 UTC
Type: Bug


Attachments (Terms of Use)

Description Sketch 2018-05-06 00:42:43 UTC
Description of problem:

No keyboard input in GDM after an update from F27 to F28

Version-Release number of selected component (if applicable):

gdm-3.28.1-1.fc28.x86_64

How reproducible:

Boot system.

Steps to Reproduce:
1. Update from F27 to F28 with GNOME Software Center
2. Boot system.
3. Attempt to log in.

Actual results:

Keyboard is completely unresponsive.  Not even Ctrl-Alt-F1 to switch VTs works.

Expected results:

Keyboard works to log in.

Additional info:

Keyboard works fine if I boot to runlevel 3 and run startx.  On suggestion from #fedora I tried removing all non-English input methods and also tried adding English (dvorak) as a second input method.  Both input methods show up in gdm, but neither one works.

Comment 1 Sketch 2018-05-06 05:14:16 UTC
All updates are installed, including gnome-shell-3.28.1-3.fc28.x86_64 which just showed up in the repos for me within the last couple of hours.  Also, looks like I was wrong about VT switching not working, it just takes several seconds to change from gdm to a text VT.

This is probably not useful, because I get the same stack trace when starting gnome manually with startx and it works fine, but here's some output from /var/log/messages around the time that gdm start:

May  5 21:56:03 laptop systemd[1]: Reached target Multi-User System.
May  5 21:56:03 laptop systemd[1]: Reached target Graphical Interface.
May  5 21:56:03 laptop audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=plymouth-quit-wait comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
May  5 21:56:03 laptop audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=plymouth-quit-wait comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
May  5 21:56:03 laptop systemd[1]: Starting Update UTMP about System Runlevel Changes...
May  5 21:56:03 laptop audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=plymouth-start comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
May  5 21:56:03 laptop audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=plymouth-start comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
May  5 21:56:03 laptop audit[1769]: SYSTEM_RUNLEVEL pid=1769 uid=0 auid=4294967295 ses=4294967295 msg='old-level=N new-level=5 comm="systemd-update-utmp" exe="/usr/lib/systemd/systemd-update-utmp" hostname=? addr=? terminal=? res=success'
May  5 21:56:03 laptop systemd[1]: Started Update UTMP about System Runlevel Changes.
May  5 21:56:03 laptop audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-update-utmp-runlevel comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
May  5 21:56:03 laptop audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-update-utmp-runlevel comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
May  5 21:56:04 laptop wpa_supplicant[1280]: wlp2s0: CTRL-EVENT-SCAN-FAILED ret=-22 retry=1
May  5 21:56:04 laptop audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=geoclue comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
May  5 21:56:05 laptop wpa_supplicant[1280]: wlp2s0: CTRL-EVENT-SCAN-FAILED ret=-22 retry=1
May  5 21:56:06 laptop wpa_supplicant[1280]: wlp2s0: CTRL-EVENT-SCAN-FAILED ret=-22 retry=1
May  5 21:56:07 laptop journal[1248]: Object Clutter.Clone (0x562caba5c7f0), has been already finalized. Impossible to get any property from it.
May  5 21:56:07 laptop org.gnome.Shell.desktop[1248]: == Stack trace for context 0x562caa45a1e0 ==
May  5 21:56:07 laptop org.gnome.Shell.desktop[1248]: #0 0x562caa97cd68 i   resource:///org/gnome/shell/ui/tweener.js:73 (0x7f80245c7cd0 @ 9)
May  5 21:56:07 laptop org.gnome.Shell.desktop[1248]: #1 0x562caa97cce8 i   resource:///org/gnome/shell/ui/tweener.js:105 (0x7f80245c7f78 @ 36)
May  5 21:56:07 laptop org.gnome.Shell.desktop[1248]: #2 0x562caa97cc60 i   resource:///org/gnome/shell/ui/tweener.js:92 (0x7f80245c7de0 @ 52)
May  5 21:56:07 laptop org.gnome.Shell.desktop[1248]: #3 0x7ffda2bc7f20 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:208 (0x7f80245d2918 @ 54)
May  5 21:56:07 laptop org.gnome.Shell.desktop[1248]: #4 0x7ffda2bc8070 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:337 (0x7f80245d29a0 @ 1626)
May  5 21:56:07 laptop org.gnome.Shell.desktop[1248]: #5 0x7ffda2bc8120 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:350 (0x7f80245d2a28 @ 100)
May  5 21:56:07 laptop org.gnome.Shell.desktop[1248]: #6 0x7ffda2bc81b0 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:365 (0x7f80245d2ab0 @ 10)
May  5 21:56:07 laptop org.gnome.Shell.desktop[1248]: #7 0x7ffda2bc82a0 b   resource:///org/gnome/gjs/modules/signals.js:128 (0x7f80245cff78 @ 386)
May  5 21:56:07 laptop org.gnome.Shell.desktop[1248]: #8 0x7ffda2bc8350 b   resource:///org/gnome/shell/ui/tweener.js:207 (0x7f80245cf5e8 @ 159)
May  5 21:56:07 laptop org.gnome.Shell.desktop[1248]: #9 0x7ffda2bc83b0 I   resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f80245b5de0 @ 71)
May  5 21:56:07 laptop org.gnome.Shell.desktop[1248]: #10 0x7ffda2bc8450 b   resource:///org/gnome/shell/ui/tweener.js:182 (0x7f80245cf560 @ 15)
May  5 21:56:07 laptop org.gnome.Shell.desktop[1248]: == Stack trace for context 0x562caa45a1e0 ==
May  5 21:56:07 laptop org.gnome.Shell.desktop[1248]: #0 0x562caa97cd68 i   resource:///org/gnome/shell/ui/tweener.js:80 (0x7f80245c7cd0 @ 82)
May  5 21:56:07 laptop org.gnome.Shell.desktop[1248]: #1 0x562caa97cce8 i   resource:///org/gnome/shell/ui/tweener.js:105 (0x7f80245c7f78 @ 36)
May  5 21:56:07 laptop org.gnome.Shell.desktop[1248]: #2 0x562caa97cc60 i   resource:///org/gnome/shell/ui/tweener.js:92 (0x7f80245c7de0 @ 52)
May  5 21:56:07 laptop org.gnome.Shell.desktop[1248]: #3 0x7ffda2bc7f20 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:208 (0x7f80245d2918 @ 54)
May  5 21:56:07 laptop org.gnome.Shell.desktop[1248]: #4 0x7ffda2bc8070 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:337 (0x7f80245d29a0 @ 1626)
May  5 21:56:07 laptop org.gnome.Shell.desktop[1248]: #5 0x7ffda2bc8120 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:350 (0x7f80245d2a28 @ 100)
May  5 21:56:07 laptop org.gnome.Shell.desktop[1248]: #6 0x7ffda2bc81b0 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:365 (0x7f80245d2ab0 @ 10)
May  5 21:56:07 laptop org.gnome.Shell.desktop[1248]: #7 0x7ffda2bc82a0 b   resource:///org/gnome/gjs/modules/signals.js:128 (0x7f80245cff78 @ 386)
May  5 21:56:07 laptop org.gnome.Shell.desktop[1248]: #8 0x7ffda2bc8350 b   resource:///org/gnome/shell/ui/tweener.js:207 (0x7f80245cf5e8 @ 159)
May  5 21:56:07 laptop journal[1248]: Object Clutter.Clone (0x562caba5c7f0), has been already finalized. Impossible to set any property to it.
May  5 21:56:07 laptop org.gnome.Shell.desktop[1248]: #9 0x7ffda2bc83b0 I   resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f80245b5de0 @ 71)
May  5 21:56:07 laptop org.gnome.Shell.desktop[1248]: #10 0x7ffda2bc8450 b   resource:///org/gnome/shell/ui/tweener.js:182 (0x7f80245cf560 @ 15)
May  5 21:56:07 laptop wpa_supplicant[1280]: wlp2s0: CTRL-EVENT-SCAN-FAILED ret=-22 retry=1
May  5 21:56:08 laptop wpa_supplicant[1280]: wlp2s0: CTRL-EVENT-SCAN-FAILED ret=-22 retry=1
May  5 21:56:09 laptop wpa_supplicant[1280]: wlp2s0: CTRL-EVENT-SCAN-FAILED ret=-22 retry=1
May  5 21:56:10 laptop wpa_supplicant[1280]: wlp2s0: CTRL-EVENT-SCAN-FAILED ret=-22 retry=1
May  5 21:56:10 laptop audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=NetworkManager-dispatcher comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
May  5 21:56:11 laptop wpa_supplicant[1280]: wlp2s0: CTRL-EVENT-SCAN-FAILED ret=-22 retry=1
May  5 21:56:12 laptop systemd[1]: Started Getty on tty5.

Last entry is from me manually switching to another VT and logging in.  There is no log output in /var/log/gdm, and F28 appears not to create /var/log/Xorg?.log.  Let me know if there is any other useful debugging info I can provide.

Comment 2 Sketch 2018-05-07 16:22:26 UTC
I noticed earlier that gdm actually launches with Wayland rather than Xorg, so this might actually be a Wayland issue.  I'll try launching it with Xorg rather than Wayland tonight and see if problems persist.

Comment 3 Sketch 2018-05-08 02:59:08 UTC
Interestingly the behavior is not exactly the same with Xorg, but it still doesn't work right.

With Xorg, VT switching no longer works.  However, I can input text...if I hold down each key for at least 1 second.  I tested Wayland again just to make sure I didn't miss this before and it doesn't happen in Wayland.

Xorg log output follows, but I don't see anything different from when I ran startx other than the input devices being removed at the end, which looks like it's at login from the timestamps.

[    20.259] (--) Log file renamed from "/var/lib/gdm/.local/share/xorg/Xorg.pid-1223.log" to "/var/lib/gdm/.local/share/xorg/Xorg.0.log"
[    20.264] 
X.Org X Server 1.19.6
Release Date: 2017-12-20
[    20.264] X Protocol Version 11, Revision 0
[    20.264] Build Operating System:  4.15.3-300.fc27.x86_64 
[    20.265] Current Operating System: Linux laptop 4.16.7-300.fc28.x86_64 #1 SMP Wed May 2 20:09:13 UTC 2018 x86_64
[    20.265] Kernel command line: BOOT_IMAGE=/vmlinuz-4.16.7-300.fc28.x86_64 root=/dev/mapper/fedora_laptop-root ro rd.lvm.lv=fedora_laptop/root rd.dm=0 vconsole.keymap=us rd.md=0 vconsole.font=latarcyrheb-sun16 rd.luks.uuid=luks-f904c85a-ad8d-47f7-8f57-39417f842f3f rhgb quiet elevator=noop LANG=en_US.UTF-8
[    20.266] Build Date: 23 April 2018  06:16:50PM
[    20.266] Build ID: xorg-x11-server 1.19.6-8.fc28 
[    20.268] Current version of pixman: 0.34.0
[    20.268]    Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
[    20.268] Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    20.268] (==) Log file: "/var/lib/gdm/.local/share/xorg/Xorg.0.log", Time: Mon May  7 19:40:28 2018
[    20.270] (==) Using config directory: "/etc/X11/xorg.conf.d"
[    20.270] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    20.279] (==) No Layout section.  Using the first Screen section.
[    20.279] (==) No screen section available. Using defaults.
[    20.279] (**) |-->Screen "Default Screen Section" (0)
[    20.279] (**) |   |-->Monitor "<default monitor>"
[    20.279] (==) No monitor specified for screen "Default Screen Section".
        Using a default monitor configuration.
[    20.279] (==) Automatically adding devices
[    20.279] (==) Automatically enabling devices
[    20.279] (==) Automatically adding GPU devices
[    20.279] (==) Automatically binding GPU devices
[    20.279] (==) Max clients allowed: 256, resource mask: 0x1fffff
[    20.279] (==) FontPath set to:
        catalogue:/etc/X11/fontpath.d,
        built-ins
[    20.279] (==) ModulePath set to "/usr/lib64/xorg/modules"
[    20.279] (II) The server relies on udev to provide the list of input devices.
        If no devices become available, reconfigure udev or disable AutoAddDevices.
[    20.280] (II) Loader magic: 0x825e00
[    20.280] (II) Module ABI versions:
[    20.280]    X.Org ANSI C Emulation: 0.4
[    20.280]    X.Org Video Driver: 23.0
[    20.280]    X.Org XInput driver : 24.1
[    20.280]    X.Org Server Extension : 10.0
[    20.284] (++) using VT number 1

[    20.290] (II) systemd-logind: took control of session /org/freedesktop/login1/session/c1
[    20.293] (II) xfree86: Adding drm device (/dev/dri/card0)
[    20.295] (II) systemd-logind: got fd for /dev/dri/card0 226:0 fd 12 paused 0
[    20.300] (--) PCI:*(0:0:2:0) 8086:0046:17aa:215a rev 2, Mem @ 0xf2000000/4194304, 0xd0000000/268435456, I/O @ 0x00001800/8, BIOS @ 0x????????/65536
[    20.300] (II) LoadModule: "glx"
[    20.302] (II) Loading /usr/lib64/xorg/modules/extensions/libglx.so
[    20.319] (II) Module glx: vendor="X.Org Foundation"
[    20.319]    compiled for 1.19.6, module version = 1.0.0
[    20.319]    ABI class: X.Org Server Extension, version 10.0
[    20.319] (==) Matched modesetting as autoconfigured driver 0
[    20.319] (==) Matched fbdev as autoconfigured driver 1
[    20.319] (==) Matched vesa as autoconfigured driver 2
[    20.319] (==) Assigned the driver to the xf86ConfigLayout
[    20.319] (II) LoadModule: "modesetting"
[    20.319] (II) Loading /usr/lib64/xorg/modules/drivers/modesetting_drv.so
[    20.321] (II) Module modesetting: vendor="X.Org Foundation"
[    20.321]    compiled for 1.19.6, module version = 1.19.6
[    20.321]    Module class: X.Org Video Driver
[    20.321]    ABI class: X.Org Video Driver, version 23.0
[    20.321] (II) LoadModule: "fbdev"
[    20.321] (II) Loading /usr/lib64/xorg/modules/drivers/fbdev_drv.so
[    20.322] (II) Module fbdev: vendor="X.Org Foundation"
[    20.322]    compiled for 1.19.6, module version = 0.4.3
[    20.322]    Module class: X.Org Video Driver
[    20.322]    ABI class: X.Org Video Driver, version 23.0
[    20.322] (II) LoadModule: "vesa"
[    20.322] (II) Loading /usr/lib64/xorg/modules/drivers/vesa_drv.so
[    20.323] (II) Module vesa: vendor="X.Org Foundation"
[    20.323]    compiled for 1.19.6, module version = 2.4.0
[    20.323]    Module class: X.Org Video Driver
[    20.323]    ABI class: X.Org Video Driver, version 23.0
[    20.324] (II) modesetting: Driver for Modesetting Kernel Drivers: kms
[    20.324] (II) FBDEV: driver for framebuffer: fbdev
[    20.324] (II) VESA: driver for VESA chipsets: vesa
[    20.324] xf86EnableIOPorts: failed to set IOPL for I/O (Operation not permitted)
[    20.324] (II) modeset(0): using drv /dev/dri/card0
[    20.324] (WW) Falling back to old probe method for fbdev
[    20.324] (II) Loading sub module "fbdevhw"
[    20.324] (II) LoadModule: "fbdevhw"
[    20.324] (II) Loading /usr/lib64/xorg/modules/libfbdevhw.so
[    20.325] (II) Module fbdevhw: vendor="X.Org Foundation"
[    20.325]    compiled for 1.19.6, module version = 0.0.2
[    20.325]    ABI class: X.Org Video Driver, version 23.0
[    20.325] (EE) open /dev/fb0: Permission denied
[    20.325] (WW) VGA arbiter: cannot open kernel arbiter, no multi-card support
[    20.326] (II) modeset(0): Creating default Display subsection in Screen section
        "Default Screen Section" for depth/fbbpp 24/32
[    20.326] (==) modeset(0): Depth 24, (==) framebuffer bpp 32
[    20.326] (==) modeset(0): RGB weight 888
[    20.326] (==) modeset(0): Default visual is TrueColor
[    20.326] (II) Loading sub module "glamoregl"
[    20.326] (II) LoadModule: "glamoregl"
[    20.326] (II) Loading /usr/lib64/xorg/modules/libglamoregl.so
[    20.332] (II) Module glamoregl: vendor="X.Org Foundation"
[    20.332]    compiled for 1.19.6, module version = 1.0.0
[    20.332]    ABI class: X.Org ANSI C Emulation, version 0.4
[    20.332] (II) glamor: OpenGL accelerated X.org driver based.
[    20.414] (II) glamor: EGL version 1.4 (DRI2):
[    20.478] (II) modeset(0): glamor initialized
[    20.478] (II) modeset(0): Output LVDS-1 has no monitor section
[    20.479] (II) modeset(0): Output VGA-1 has no monitor section
[    20.481] (II) modeset(0): Output HDMI-1 has no monitor section
[    20.481] (II) modeset(0): Output DP-1 has no monitor section
[    20.482] (II) modeset(0): EDID for output LVDS-1
[    20.482] (II) modeset(0): Manufacturer: LEN  Model: 4014  Serial#: 0
[    20.482] (II) modeset(0): Year: 2009  Week: 39
[    20.482] (II) modeset(0): EDID Version: 1.3
[    20.482] (II) modeset(0): Digital Display Input
[    20.482] (II) modeset(0): Max Image Size [cm]: horiz.: 26  vert.: 16
[    20.482] (II) modeset(0): Gamma: 2.20
[    20.482] (II) modeset(0): DPMS capabilities: StandBy Suspend Off
[    20.482] (II) modeset(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
[    20.482] (II) modeset(0): First detailed timing is preferred mode
[    20.482] (II) modeset(0): redX: 0.577 redY: 0.338   greenX: 0.310 greenY: 0.563
[    20.482] (II) modeset(0): blueX: 0.158 blueY: 0.157   whiteX: 0.313 whiteY: 0.329
[    20.482] (II) modeset(0): Manufacturer's mask: 0
[    20.482] (II) modeset(0): Supported detailed timing:
[    20.482] (II) modeset(0): clock: 74.1 MHz   Image Size:  261 x 163 mm
[    20.482] (II) modeset(0): h_active: 1440  h_sync: 1464  h_sync_end 1480 h_blank_end 1600 h_border: 0
[    20.482] (II) modeset(0): v_active: 900  v_sync: 903  v_sync_end 909 v_blanking: 926 v_border: 0
[    20.482] (II) modeset(0): Supported detailed timing:
[    20.482] (II) modeset(0): clock: 74.1 MHz   Image Size:  261 x 163 mm
[    20.482] (II) modeset(0): h_active: 1440  h_sync: 1464  h_sync_end 1480 h_blank_end 1600 h_border: 0
[    20.483] (II) modeset(0): v_active: 900  v_sync: 903  v_sync_end 909 v_blanking: 926 v_border: 0
[    20.483] (II) modeset(0): Unknown vendor-specific block f
[    20.483] (II) modeset(0):  LTD121EQ3B
[    20.483] (II) modeset(0): EDID (in hex):
[    20.483] (II) modeset(0):   00ffffffffffff0030ae144000000000
[    20.483] (II) modeset(0):   27130103801a1078eae59593564f9028
[    20.483] (II) modeset(0):   28505400000001010101010101010101
[    20.483] (II) modeset(0):   010101010101f01ca0a050841a301810
[    20.483] (II) modeset(0):   360005a310000018f01ca0a050841a30
[    20.483] (II) modeset(0):   1810360005a3100000180000000f0095
[    20.483] (II) modeset(0):   0a32950a3219010030640055000000fe
[    20.483] (II) modeset(0):   004c5444313231455133420a20200095
[    20.483] (II) modeset(0): Printing probed modes for output LVDS-1

[    20.483] (II) modeset(0): Modeline "1440x900"x50.0   74.08  1440 1464 1480 1600  900 903 909 926 -hsync -vsync (46.3 kHz eP)
[    20.483] (II) modeset(0): Modeline "1400x900"x60.0  103.50  1400 1480 1624 1848  900 903 913 934 -hsync +vsync (56.0 kHz d)
[    20.483] (II) modeset(0): Modeline "1400x900"x59.9   86.50  1400 1448 1480 1560  900 903 913 926 +hsync -vsync (55.4 kHz d)
[    20.483] (II) modeset(0): Modeline "1440x810"x120.0  198.12  1440 1548 1704 1968  810 811 814 839 doublescan -hsync +vsync (100.7 kHz d)
[    20.483] (II) modeset(0): Modeline "1440x810"x119.9  151.88  1440 1464 1480 1520  810 811 814 833 doublescan +hsync -vsync (99.9 kHz d)
[    20.483] (II) modeset(0): Modeline "1368x768"x59.9   85.25  1368 1440 1576 1784  768 771 781 798 -hsync +vsync (47.8 kHz d)
[    20.483] (II) modeset(0): Modeline "1368x768"x59.9   72.25  1368 1416 1448 1528  768 771 781 790 +hsync -vsync (47.3 kHz d)
[    20.484] (II) modeset(0): Modeline "1280x800"x120.0  174.25  1280 1380 1516 1752  800 801 804 829 doublescan -hsync +vsync (99.5 kHz d)
[    20.484] (II) modeset(0): Modeline "1280x800"x119.9  134.25  1280 1304 1320 1360  800 801 804 823 doublescan +hsync -vsync (98.7 kHz d)
[    20.484] (II) modeset(0): Modeline "1280x800"x59.8   83.50  1280 1352 1480 1680  800 803 809 831 -hsync +vsync (49.7 kHz d)
[    20.484] (II) modeset(0): Modeline "1280x800"x59.9   71.00  1280 1328 1360 1440  800 803 809 823 +hsync -vsync (49.3 kHz d)
[    20.484] (II) modeset(0): Modeline "1280x720"x120.0  156.12  1280 1376 1512 1744  720 721 724 746 doublescan -hsync +vsync (89.5 kHz d)
[    20.484] (II) modeset(0): Modeline "1280x720"x120.0  120.75  1280 1304 1320 1360  720 721 724 740 doublescan +hsync -vsync (88.8 kHz d)
[    20.484] (II) modeset(0): Modeline "1280x720"x59.9   74.50  1280 1344 1472 1664  720 723 728 748 -hsync +vsync (44.8 kHz d)
[    20.484] (II) modeset(0): Modeline "1280x720"x59.7   63.75  1280 1328 1360 1440  720 723 728 741 +hsync -vsync (44.3 kHz d)
[    20.484] (II) modeset(0): Modeline "1024x768"x120.1  133.47  1024 1100 1212 1400  768 768 770 794 doublescan -hsync +vsync (95.3 kHz d)
[    20.484] (II) modeset(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz d)
[    20.484] (II) modeset(0): Modeline "960x720"x120.0  117.00  960 1024 1128 1300  720 720 722 750 doublescan -hsync +vsync (90.0 kHz d)
[    20.484] (II) modeset(0): Modeline "928x696"x120.1  109.15  928 976 1088 1264  696 696 698 719 doublescan -hsync +vsync (86.4 kHz d)
[    20.484] (II) modeset(0): Modeline "896x672"x120.0  102.40  896 960 1060 1224  672 672 674 697 doublescan -hsync +vsync (83.7 kHz d)
[    20.484] (II) modeset(0): Modeline "1024x576"x119.9   98.50  1024 1092 1200 1376  576 577 580 597 doublescan -hsync +vsync (71.6 kHz d)
[    20.484] (II) modeset(0): Modeline "1024x576"x119.9   78.38  1024 1048 1064 1104  576 577 580 592 doublescan +hsync -vsync (71.0 kHz d)
[    20.484] (II) modeset(0): Modeline "1024x576"x59.9   46.50  1024 1064 1160 1296  576 579 584 599 -hsync +vsync (35.9 kHz d)
[    20.484] (II) modeset(0): Modeline "1024x576"x59.8   42.00  1024 1072 1104 1184  576 579 584 593 +hsync -vsync (35.5 kHz d)
[    20.484] (II) modeset(0): Modeline "960x600"x119.9   96.62  960 1028 1128 1296  600 601 604 622 doublescan -hsync +vsync (74.6 kHz d)
[    20.484] (II) modeset(0): Modeline "960x600"x120.0   77.00  960 984 1000 1040  600 601 604 617 doublescan +hsync -vsync (74.0 kHz d)
[    20.484] (II) modeset(0): Modeline "960x540"x119.9   86.50  960 1024 1124 1288  540 541 544 560 doublescan -hsync +vsync (67.2 kHz d)
[    20.484] (II) modeset(0): Modeline "960x540"x120.0   69.25  960 984 1000 1040  540 541 544 555 doublescan +hsync -vsync (66.6 kHz d)
[    20.484] (II) modeset(0): Modeline "960x540"x59.6   40.75  960 992 1088 1216  540 543 548 562 -hsync +vsync (33.5 kHz d)
[    20.484] (II) modeset(0): Modeline "960x540"x59.8   37.25  960 1008 1040 1120  540 543 548 556 +hsync -vsync (33.3 kHz d)
[    20.484] (II) modeset(0): Modeline "800x600"x120.0   81.00  800 832 928 1080  600 600 602 625 doublescan +hsync +vsync (75.0 kHz d)
[    20.484] (II) modeset(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz d)
[    20.484] (II) modeset(0): Modeline "800x600"x56.2   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz d)
[    20.484] (II) modeset(0): Modeline "840x525"x120.0   73.12  840 892 980 1120  525 526 529 544 doublescan -hsync +vsync (65.3 kHz d)
[    20.484] (II) modeset(0): Modeline "840x525"x119.8   59.50  840 864 880 920  525 526 529 540 doublescan +hsync -vsync (64.7 kHz d)
[    20.484] (II) modeset(0): Modeline "864x486"x59.9   32.50  864 888 968 1072  486 489 494 506 -hsync +vsync (30.3 kHz d)
[    20.484] (II) modeset(0): Modeline "864x486"x59.6   30.50  864 912 944 1024  486 489 494 500 +hsync -vsync (29.8 kHz d)
[    20.484] (II) modeset(0): Modeline "700x525"x120.0   61.00  700 744 820 940  525 526 532 541 doublescan +hsync +vsync (64.9 kHz d)
[    20.484] (II) modeset(0): Modeline "800x450"x119.9   59.12  800 848 928 1056  450 451 454 467 doublescan -hsync +vsync (56.0 kHz d)
[    20.484] (II) modeset(0): Modeline "800x450"x119.6   48.75  800 824 840 880  450 451 454 463 doublescan +hsync -vsync (55.4 kHz d)
[    20.484] (II) modeset(0): Modeline "640x512"x120.0   54.00  640 664 720 844  512 512 514 533 doublescan +hsync +vsync (64.0 kHz d)
[    20.485] (II) modeset(0): Modeline "700x450"x119.9   51.75  700 740 812 924  450 451 456 467 doublescan -hsync +vsync (56.0 kHz d)
[    20.485] (II) modeset(0): Modeline "700x450"x119.8   43.25  700 724 740 780  450 451 456 463 doublescan +hsync -vsync (55.4 kHz d)
[    20.485] (II) modeset(0): Modeline "640x480"x120.0   54.00  640 688 744 900  480 480 482 500 doublescan +hsync +vsync (60.0 kHz d)
[    20.485] (II) modeset(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz d)
[    20.485] (II) modeset(0): Modeline "720x405"x59.5   22.50  720 744 808 896  405 408 413 422 -hsync +vsync (25.1 kHz d)
[    20.485] (II) modeset(0): Modeline "720x405"x59.0   21.75  720 768 800 880  405 408 413 419 +hsync -vsync (24.7 kHz d)
[    20.485] (II) modeset(0): Modeline "684x384"x119.8   42.62  684 720 788 892  384 385 390 399 doublescan -hsync +vsync (47.8 kHz d)
[    20.485] (II) modeset(0): Modeline "684x384"x119.7   36.12  684 708 724 764  384 385 390 395 doublescan +hsync -vsync (47.3 kHz d)
[    20.485] (II) modeset(0): Modeline "640x400"x119.8   41.75  640 676 740 840  400 401 404 415 doublescan -hsync +vsync (49.7 kHz d)
[    20.485] (II) modeset(0): Modeline "640x400"x120.0   35.50  640 664 680 720  400 401 404 411 doublescan +hsync -vsync (49.3 kHz d)
[    20.485] (II) modeset(0): Modeline "640x360"x119.7   37.25  640 672 736 832  360 361 364 374 doublescan -hsync +vsync (44.8 kHz d)
[    20.485] (II) modeset(0): Modeline "640x360"x119.7   31.88  640 664 680 720  360 361 364 370 doublescan +hsync -vsync (44.3 kHz d)
[    20.485] (II) modeset(0): Modeline "640x360"x59.8   18.00  640 664 720 800  360 363 368 376 -hsync +vsync (22.5 kHz d)
[    20.485] (II) modeset(0): Modeline "640x360"x59.3   17.75  640 688 720 800  360 363 368 374 +hsync -vsync (22.2 kHz d)
[    20.485] (II) modeset(0): Modeline "512x384"x120.0   32.50  512 524 592 672  384 385 388 403 doublescan -hsync -vsync (48.4 kHz d)
[    20.485] (II) modeset(0): Modeline "512x288"x120.0   23.25  512 532 580 648  288 289 292 299 doublescan -hsync +vsync (35.9 kHz d)
[    20.485] (II) modeset(0): Modeline "512x288"x119.8   21.00  512 536 552 592  288 289 292 296 doublescan +hsync -vsync (35.5 kHz d)
[    20.485] (II) modeset(0): Modeline "480x270"x119.3   20.38  480 496 544 608  270 271 274 281 doublescan -hsync +vsync (33.5 kHz d)
[    20.485] (II) modeset(0): Modeline "480x270"x119.6   18.62  480 504 520 560  270 271 274 278 doublescan +hsync -vsync (33.3 kHz d)
[    20.485] (II) modeset(0): Modeline "400x300"x120.6   20.00  400 420 484 528  300 300 302 314 doublescan +hsync +vsync (37.9 kHz d)
[    20.485] (II) modeset(0): Modeline "400x300"x112.7   18.00  400 412 448 512  300 300 301 312 doublescan +hsync +vsync (35.2 kHz d)
[    20.485] (II) modeset(0): Modeline "432x243"x119.8   16.25  432 444 484 536  243 244 247 253 doublescan -hsync +vsync (30.3 kHz d)
[    20.485] (II) modeset(0): Modeline "432x243"x119.1   15.25  432 456 472 512  243 244 247 250 doublescan +hsync -vsync (29.8 kHz d)
[    20.485] (II) modeset(0): Modeline "320x240"x120.1   12.59  320 328 376 400  240 245 246 262 doublescan -hsync -vsync (31.5 kHz d)
[    20.485] (II) modeset(0): Modeline "360x202"x119.0   11.25  360 372 404 448  202 204 206 211 doublescan -hsync +vsync (25.1 kHz d)
[    20.485] (II) modeset(0): Modeline "360x202"x118.3   10.88  360 384 400 440  202 204 206 209 doublescan +hsync -vsync (24.7 kHz d)
[    20.485] (II) modeset(0): Modeline "320x180"x119.7    9.00  320 332 360 400  180 181 184 188 doublescan -hsync +vsync (22.5 kHz d)
[    20.485] (II) modeset(0): Modeline "320x180"x118.6    8.88  320 344 360 400  180 181 184 187 doublescan +hsync -vsync (22.2 kHz d)
[    20.486] (II) modeset(0): EDID for output VGA-1
[    20.488] (II) modeset(0): EDID for output HDMI-1
[    20.488] (II) modeset(0): EDID for output DP-1
[    20.488] (II) modeset(0): Output LVDS-1 connected
[    20.488] (II) modeset(0): Output VGA-1 disconnected
[    20.488] (II) modeset(0): Output HDMI-1 disconnected
[    20.488] (II) modeset(0): Output DP-1 disconnected
[    20.488] (II) modeset(0): Using exact sizes for initial modes
[    20.488] (II) modeset(0): Output LVDS-1 using initial mode 1440x900 +0+0
[    20.488] (==) modeset(0): Using gamma correction (1.0, 1.0, 1.0)
[    20.488] (==) modeset(0): DPI set to (96, 96)
[    20.488] (II) Loading sub module "fb"
[    20.488] (II) LoadModule: "fb"
[    20.489] (II) Loading /usr/lib64/xorg/modules/libfb.so
[    20.491] (II) Module fb: vendor="X.Org Foundation"
[    20.491]    compiled for 1.19.6, module version = 1.0.0
[    20.491]    ABI class: X.Org ANSI C Emulation, version 0.4
[    20.491] (II) UnloadModule: "fbdev"
[    20.491] (II) Unloading fbdev
[    20.491] (II) UnloadSubModule: "fbdevhw"
[    20.491] (II) Unloading fbdevhw
[    20.491] (II) UnloadModule: "vesa"
[    20.491] (II) Unloading vesa
[    20.491] (==) Depth 24 pixmap format is 32 bpp
[    20.727] (==) modeset(0): Backing store enabled
[    20.727] (==) modeset(0): Silken mouse enabled
[    20.728] (II) modeset(0): RandR 1.2 enabled, ignore the following RandR disabled message.
[    20.763] (==) modeset(0): DPMS enabled
[    20.764] (II) modeset(0): [DRI2] Setup complete
[    20.764] (II) modeset(0): [DRI2]   DRI driver: i965
[    20.764] (II) modeset(0): [DRI2]   VDPAU driver: va_gl
[    20.764] (--) RandR disabled
[    20.771] (II) SELinux: Disabled by boolean
[    20.787] (II) AIGLX: enabled GLX_MESA_copy_sub_buffer
[    20.787] (II) AIGLX: enabled GLX_ARB_create_context
[    20.787] (II) AIGLX: enabled GLX_ARB_create_context_profile
[    20.787] (II) AIGLX: enabled GLX_EXT_create_context_es{,2}_profile
[    20.787] (II) AIGLX: enabled GLX_INTEL_swap_event
[    20.787] (II) AIGLX: enabled GLX_SGI_swap_control
[    20.787] (II) AIGLX: enabled GLX_EXT_framebuffer_sRGB
[    20.787] (II) AIGLX: enabled GLX_ARB_fbconfig_float
[    20.787] (II) AIGLX: enabled GLX_EXT_fbconfig_packed_float
[    20.787] (II) AIGLX: GLX_EXT_texture_from_pixmap backed by buffer objects
[    20.788] (II) AIGLX: Loaded and initialized i965
[    20.788] (II) GLX: Initialized DRI2 GL provider for screen 0
[    20.794] (II) modeset(0): Damage tracking initialized
[    20.794] (II) modeset(0): Setting screen physical size to 381 x 238
[    21.147] (II) config/udev: Adding input device Power Button (/dev/input/event2)
[    21.147] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[    21.147] (**) Power Button: Applying InputClass "libinput keyboard catchall"
[    21.147] (**) Power Button: Applying InputClass "system-keyboard"
[    21.147] (II) LoadModule: "libinput"
[    21.148] (II) Loading /usr/lib64/xorg/modules/input/libinput_drv.so
[    21.184] (II) Module libinput: vendor="X.Org Foundation"
[    21.184]    compiled for 1.19.6, module version = 0.27.1
[    21.184]    Module class: X.Org XInput Driver
[    21.184]    ABI class: X.Org XInput driver, version 24.1
[    21.184] (II) Using input driver 'libinput' for 'Power Button'
[    21.191] (II) systemd-logind: got fd for /dev/input/event2 13:66 fd 21 paused 0
[    21.197] (**) Power Button: always reports core events
[    21.197] (**) Option "Device" "/dev/input/event2"
[    21.198] (**) Option "_source" "server/udev"
[    21.202] (II) event2  - Power Button: is tagged by udev as: Keyboard
[    21.202] (II) event2  - Power Button: device is a keyboard
[    21.203] (II) event2  - Power Button: device removed
[    21.203] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input2/event2"
[    21.203] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD, id 6)
[    21.206] (**) Option "xkb_layout" "us,us"
[    21.207] (**) Option "xkb_variant" ",dvorak"
[    21.317] (II) event2  - Power Button: is tagged by udev as: Keyboard
[    21.317] (II) event2  - Power Button: device is a keyboard
[    21.321] (II) config/udev: Adding input device Video Bus (/dev/input/event5)

[    21.321] (**) Video Bus: Applying InputClass "evdev keyboard catchall"
[    21.321] (**) Video Bus: Applying InputClass "libinput keyboard catchall"
[    21.321] (**) Video Bus: Applying InputClass "system-keyboard"
[    21.321] (II) Using input driver 'libinput' for 'Video Bus'
[    21.325] (II) systemd-logind: got fd for /dev/input/event5 13:69 fd 24 paused 0
[    21.325] (**) Video Bus: always reports core events
[    21.325] (**) Option "Device" "/dev/input/event5"
[    21.325] (**) Option "_source" "server/udev"
[    21.326] (II) event5  - Video Bus: is tagged by udev as: Keyboard
[    21.326] (II) event5  - Video Bus: device is a keyboard
[    21.326] (II) event5  - Video Bus: device removed
[    21.326] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:00/input/input6/event5"
[    21.326] (II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD, id 7)
[    21.326] (**) Option "xkb_layout" "us,us"
[    21.326] (**) Option "xkb_variant" ",dvorak"
[    21.332] (II) event5  - Video Bus: is tagged by udev as: Keyboard
[    21.332] (II) event5  - Video Bus: device is a keyboard
[    21.334] (II) config/udev: Adding input device Lid Switch (/dev/input/event0)
[    21.334] (II) No input driver specified, ignoring this device.
[    21.334] (II) This device may have been added with another device file.
[    21.335] (II) config/udev: Adding input device Sleep Button (/dev/input/event1)
[    21.335] (**) Sleep Button: Applying InputClass "evdev keyboard catchall"
[    21.335] (**) Sleep Button: Applying InputClass "libinput keyboard catchall"
[    21.335] (**) Sleep Button: Applying InputClass "system-keyboard"
[    21.335] (II) Using input driver 'libinput' for 'Sleep Button'
[    21.342] (II) systemd-logind: got fd for /dev/input/event1 13:65 fd 25 paused 0
[    21.343] (**) Sleep Button: always reports core events
[    21.343] (**) Option "Device" "/dev/input/event1"
[    21.344] (**) Option "_source" "server/udev"
[    21.345] (II) event1  - Sleep Button: is tagged by udev as: Keyboard
[    21.346] (II) event1  - Sleep Button: device is a keyboard
[    21.346] (II) event1  - Sleep Button: device removed
[    21.346] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input1/event1"
[    21.346] (II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD, id 8)
[    21.346] (**) Option "xkb_layout" "us,us"
[    21.347] (**) Option "xkb_variant" ",dvorak"
[    21.354] (II) event1  - Sleep Button: is tagged by udev as: Keyboard
[    21.354] (II) event1  - Sleep Button: device is a keyboard
[    21.361] (II) config/udev: Adding input device HDA Intel MID Dock Headphone (/dev/input/event9)
[    21.362] (II) No input driver specified, ignoring this device.
[    21.362] (II) This device may have been added with another device file.
[    21.363] (II) config/udev: Adding input device HDA Intel MID Headphone (/dev/input/event10)
[    21.363] (II) No input driver specified, ignoring this device.
[    21.363] (II) This device may have been added with another device file.
[    21.365] (II) config/udev: Adding input device HDA Intel MID HDMI/DP,pcm=3 (/dev/input/event11)
[    21.365] (II) No input driver specified, ignoring this device.
[    21.365] (II) This device may have been added with another device file.
[    21.368] (II) config/udev: Adding input device HDA Intel MID Mic (/dev/input/event7)
[    21.369] (II) No input driver specified, ignoring this device.
[    21.369] (II) This device may have been added with another device file.
[    21.370] (II) config/udev: Adding input device HDA Intel MID Dock Mic (/dev/input/event8)
[    21.370] (II) No input driver specified, ignoring this device.
[    21.370] (II) This device may have been added with another device file.
[    21.374] (II) config/udev: Adding input device AT Translated Set 2 keyboard (/dev/input/event3)
[    21.374] (**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard catchall"
[    21.374] (**) AT Translated Set 2 keyboard: Applying InputClass "libinput keyboard catchall"
[    21.374] (**) AT Translated Set 2 keyboard: Applying InputClass "system-keyboard"
[    21.374] (II) Using input driver 'libinput' for 'AT Translated Set 2 keyboard'
[    21.377] (II) systemd-logind: got fd for /dev/input/event3 13:67 fd 26 paused 0
[    21.378] (**) AT Translated Set 2 keyboard: always reports core events
[    21.378] (**) Option "Device" "/dev/input/event3"
[    21.378] (**) Option "_source" "server/udev"
[    21.379] (II) event3  - AT Translated Set 2 keyboard: is tagged by udev as: Keyboard
[    21.379] (II) event3  - AT Translated Set 2 keyboard: device is a keyboard
[    21.379] (II) event3  - AT Translated Set 2 keyboard: device removed
[    21.379] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio0/input/input3/event3"
[    21.379] (II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD, id 9)
[    21.379] (**) Option "xkb_layout" "us,us"
[    21.379] (**) Option "xkb_variant" ",dvorak"
[    21.383] (II) event3  - AT Translated Set 2 keyboard: is tagged by udev as: Keyboard
[    21.383] (II) event3  - AT Translated Set 2 keyboard: device is a keyboard
[    21.389] (II) config/udev: Adding input device TPPS/2 IBM TrackPoint (/dev/input/event4)
[    21.389] (**) TPPS/2 IBM TrackPoint: Applying InputClass "evdev pointer catchall"
[    21.389] (**) TPPS/2 IBM TrackPoint: Applying InputClass "libinput pointer catchall"
[    21.390] (II) Using input driver 'libinput' for 'TPPS/2 IBM TrackPoint'
[    21.393] (II) systemd-logind: got fd for /dev/input/event4 13:68 fd 27 paused 0
[    21.395] (**) TPPS/2 IBM TrackPoint: always reports core events
[    21.395] (**) Option "Device" "/dev/input/event4"
[    21.395] (**) Option "_source" "server/udev"
[    21.397] (II) event4  - TPPS/2 IBM TrackPoint: is tagged by udev as: Mouse Pointingstick
[    21.397] (II) event4  - TPPS/2 IBM TrackPoint: trackpoint does not have a specified range, guessing... see https://wayland.freedesktop.org/libinput/doc/1.10.6/trackpoints.html
[    21.397] (II) event4  - TPPS/2 IBM TrackPoint: trackpoint device set to range 31
[    21.398] (II) event4  - TPPS/2 IBM TrackPoint: device is a pointer
[    21.400] (II) event4  - TPPS/2 IBM TrackPoint: device removed
[    21.400] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio1/input/input5/event4"
[    21.400] (II) XINPUT: Adding extended input device "TPPS/2 IBM TrackPoint" (type: MOUSE, id 10)
[    21.405] (**) Option "AccelerationScheme" "none"
[    21.405] (**) TPPS/2 IBM TrackPoint: (accel) selected scheme none/0
[    21.405] (**) TPPS/2 IBM TrackPoint: (accel) acceleration factor: 2.000
[    21.405] (**) TPPS/2 IBM TrackPoint: (accel) acceleration threshold: 4
[    21.408] (II) event4  - TPPS/2 IBM TrackPoint: is tagged by udev as: Mouse Pointingstick
[    21.408] (II) event4  - TPPS/2 IBM TrackPoint: trackpoint does not have a specified range, guessing... see https://wayland.freedesktop.org/libinput/doc/1.10.6/trackpoints.html
[    21.408] (II) event4  - TPPS/2 IBM TrackPoint: trackpoint device set to range 31
[    21.408] (II) event4  - TPPS/2 IBM TrackPoint: device is a pointer
[    21.409] (II) config/udev: Adding input device TPPS/2 IBM TrackPoint (/dev/input/mouse0)
[    21.409] (II) No input driver specified, ignoring this device.
[    21.409] (II) This device may have been added with another device file.
[    21.425] (II) config/udev: Adding input device ThinkPad Extra Buttons (/dev/input/event6)
[    21.425] (**) ThinkPad Extra Buttons: Applying InputClass "evdev keyboard catchall"
[    21.425] (**) ThinkPad Extra Buttons: Applying InputClass "libinput keyboard catchall"
[    21.425] (**) ThinkPad Extra Buttons: Applying InputClass "system-keyboard"
[    21.425] (II) Using input driver 'libinput' for 'ThinkPad Extra Buttons'
[    21.437] (II) systemd-logind: got fd for /dev/input/event6 13:70 fd 28 paused 0
[    21.439] (**) ThinkPad Extra Buttons: always reports core events
[    21.439] (**) Option "Device" "/dev/input/event6"
[    21.439] (**) Option "_source" "server/udev"
[    21.441] (II) event6  - ThinkPad Extra Buttons: is tagged by udev as: Keyboard Switch
[    21.441] (II) event6  - ThinkPad Extra Buttons: device is a keyboard
[    21.441] (II) event6  - ThinkPad Extra Buttons: device is a switch device
[    21.441] (II) event6  - ThinkPad Extra Buttons: device removed
[    21.442] (**) Option "config_info" "udev:/sys/devices/platform/thinkpad_acpi/input/input7/event6"
[    21.442] (II) XINPUT: Adding extended input device "ThinkPad Extra Buttons" (type: KEYBOARD, id 11)
[    21.442] (**) Option "xkb_layout" "us,us"
[    21.442] (**) Option "xkb_variant" ",dvorak"
[    21.451] (II) event6  - ThinkPad Extra Buttons: is tagged by udev as: Keyboard Switch
[    21.451] (II) event6  - ThinkPad Extra Buttons: device is a keyboard
[    21.451] (II) event6  - ThinkPad Extra Buttons: device is a switch device
[    23.173] (II) modeset(0): EDID vendor "LEN", prod id 16404
[    23.173] (II) modeset(0): Printing DDC gathered Modelines:
[    23.173] (II) modeset(0): Modeline "1440x900"x0.0   74.08  1440 1464 1480 1600  900 903 909 926 -hsync -vsync (46.3 kHz eP)
[    23.206] (II) modeset(0): EDID vendor "LEN", prod id 16404
[    23.206] (II) modeset(0): Printing DDC gathered Modelines:
[    23.206] (II) modeset(0): Modeline "1440x900"x0.0   74.08  1440 1464 1480 1600  900 903 909 926 -hsync -vsync (46.3 kHz eP)
[    47.074] (**) Option "fd" "21"
[    47.074] (II) event2  - Power Button: device removed
[    47.075] (**) Option "fd" "24"
[    47.075] (II) event5  - Video Bus: device removed
[    47.076] (**) Option "fd" "25"
[    47.076] (II) event1  - Sleep Button: device removed
[    47.077] (**) Option "fd" "26"
[    47.077] (II) event3  - AT Translated Set 2 keyboard: device removed
[    47.077] (**) Option "fd" "27"
[    47.077] (II) event4  - TPPS/2 IBM TrackPoint: device removed
[    47.078] (**) Option "fd" "28"
[    47.078] (II) event6  - ThinkPad Extra Buttons: device removed
[    47.078] (II) AIGLX: Suspending AIGLX clients for VT switch
[    47.088] (II) systemd-logind: got pause for 13:66
[    47.088] (II) systemd-logind: got pause for 13:65
[    47.088] (II) systemd-logind: got pause for 13:69

Comment 4 Sketch 2018-05-10 04:07:43 UTC
Just for further info, lightdm does not suffer from this problem.

Comment 5 Alex Villacís Lasso 2018-05-12 14:51:57 UTC
Could you please check if the xorg-x11-drv-intel package is installed in your system? If not installed, please install it and repeat your X11 tests? Just to check whether this is related to https://bugzilla.redhat.com/show_bug.cgi?id=1573779 .

Comment 6 Alex Villacís Lasso 2018-05-12 14:53:53 UTC
Sorry, wrong link, should be https://bugzilla.redhat.com/show_bug.cgi?id=1575194 .

Comment 7 Sketch 2018-05-21 23:54:41 UTC
Sorry, missed your response before.  Yes, xorg-x11-drv-intel was is installed when I upgraded from F27 to F28, and I believe was in use before the upgrade as well.  I do see that it is using modeset in the output:

[    20.764] (II) modeset(0): [DRI2]   DRI driver: i965

and it unloads vbdev and vesa modules.  I assume that means it's using the intel driver?  Or is modeset it's own thing?

Comment 8 Ben Cotton 2019-05-02 21:43:26 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2019-05-28 20:20:54 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.